#ifndef __DSMFW_MSG_WRITER_H__
#define __DSMFW_MSG_WRITER_H__

#include <pthread.h>
#include <string>

class MessageWriter
{
public:
  static MessageWriter *createInstance(std::string filename);
  static MessageWriter *getInstance();
  void msg(std::string message);
  ~MessageWriter();
private:
  MessageWriter(std::string filename);

  static MessageWriter *m_instance;
  pthread_mutex_t m_msgMutex;
  std::string m_filename;
};

#endif//__DSMFW_MSG_WRITER_H__
