/*!
 * Copyright (c) 2010 aizo ag, Switzerland
 *
 * \author Johannes Winkelmann, johannes.winkelmann@aizo.com
 */

#ifndef ERRORMESSAGE_H_
#define ERRORMESSAGE_H_

#include <string>

#include "retcodes.h"

/*!
 * \brief a container class to store error message / code pairs
 */
struct ErrorMessage
{
  void setError(const std::string& msg, RETCODES::ReturnValue val);
  
  RETCODES::ReturnValue value;
  std::string message;
};

#endif /* ERRORMESSAGE_H_ */
