#ifndef __DSMFW_GETTEXT_HELPER_H__
#define __DSMFW_GETTEXT_HELPER_H__

#include <libintl.h>
#include <string>

#define _(STRING) gettext(STRING)
#define _P(format, ...) gtutil::autosprintf(gettext(format), ## __VA_ARGS__).c_str()

namespace gtutil
{
  std::string autosprintf(const char* format, ...);
}

#endif
